#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libvpx
Version		:	1.13.0
Release		:	16.2.0.rel%{?dist}
Summary		:	VP8 Video Codec SDK
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/webmproject/libvpx

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	yasm
#-----------------------------------------------------------------------------
%description
libvpx provides the VP8 SDK, which allows you to integrate your applications
with the VP8 video codec, a high quality, royalty free, open source codec
deployed on millions of computers and devices worldwide.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS LICENSE PATENTS README
%{_includedir}/vpx/*.h
%{_bindir}/vpx*
%{_libdir}/%{name}*.{la,so*}
%{_libdir}/pkgconfig/vpx.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

sed -i							\
  -e 's/cp -p/cp/'					\
   build/make/Makefile 

mkdir _bld
pushd _bld	> /dev/null
../configure						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--enable-shared					\
	--disable-static				\

popd

%{__make}						\
	-C _bld						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	-C _bld						\
	install

#-----------------------------------------------------------------------------
%changelog
